Package org.apache.sysds.runtime.instructions.ooc

# Class IndexingOOCInstruction.BlockAligner<T>

java.lang.Object
org.apache.sysds.runtime.instructions.ooc.IndexingOOCInstruction.BlockAligner<T>

Enclosing class:
  IndexingOOCInstruction

public static class IndexingOOCInstruction.BlockAligner<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`BlockAligner(IndexRange range, int blocksize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int`
`getNumConsumptions(MatrixIndexes index)`
`boolean`
`isAligned()`
`boolean`
`putNext(MatrixIndexes index, T data, BiConsumer<MatrixIndexes,IndexingOOCInstruction.Sector<T>> emitter)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockAligner

public BlockAligner(IndexRange range, int blocksize)

## Method Details

### isAligned

public boolean isAligned()

### getNumConsumptions

public int getNumConsumptions(MatrixIndexes index)

### putNext

public boolean putNext(MatrixIndexes index, T data, BiConsumer<MatrixIndexes,IndexingOOCInstruction.Sector<T>> emitter)

### close

public void close()